## cpl-plugin-kmos 1.3.18+dfsg

=== tools/Makefile ===
# Makefile.in generated by automake 1.11.3 from Makefile.am.
# tools/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/kmos
pkgincludedir = $(includedir)/kmos
pkglibdir = $(libdir)/kmos
pkglibexecdir = $(libexecdir)/kmos
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
subdir = tools
DIST_COMMON = $(dist_bin_SCRIPTS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4macros/cpl.m4 \
	$(top_srcdir)/m4macros/eso.m4 \
	$(top_srcdir)/m4macros/libtool.m4 \
	$(top_srcdir)/m4macros/ltoptions.m4 \
	$(top_srcdir)/m4macros/ltsugar.m4 \
	$(top_srcdir)/m4macros/ltversion.m4 \
	$(top_srcdir)/m4macros/lt~obsolete.m4 \
	$(top_srcdir)/m4macros/purify.m4 $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(bindir)"
SCRIPTS = $(dist_bin_SCRIPTS)
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/yjung/tmp/kmos-1_3_18/kmosp/admin/missing --run aclocal-1.11
AMTAR = $${TAR-tar}
AR = ar
AUTOCONF = ${SHELL} /home/yjung/tmp/kmos-1_3_18/kmosp/admin/missing --run autoconf
AUTOHEADER = ${SHELL} /home/yjung/tmp/kmos-1_3_18/kmosp/admin/missing --run autoheader
AUTOMAKE = ${SHELL} /home/yjung/tmp/kmos-1_3_18/kmosp/admin/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -fno-builtin
CPL_INCLUDES = -I/home_eso/yjung/install/dfs_ga016532/cpl/include -I/home_eso/yjung/install/dfs_ga016532/cpl/include 
CPL_LDFLAGS = -L/home_eso/yjung/install/dfs_ga016532/cpl/lib -L/home_eso/yjung/install/dfs_ga016532/cpl/lib 
CPP = gcc -E
CPPFLAGS = 
CX_INCLUDES = -I/home_eso/yjung/install/dfs_ga016532/cpl/include
CX_LDFLAGS = -L/home_eso/yjung/install/dfs_ga016532/cpl/lib
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DOXYGEN = /usr/bin/doxygen
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
ESO_DEBUG_FLAGS = -DNDEBUG
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
KMOS_BINARY_AGE = 318
KMOS_BINARY_VERSION = 10318
KMOS_INCLUDES = -I$(top_srcdir)/kmos -I$(top_srcdir)/irplib -I$(top_srcdir)/kmclipm/include
KMOS_INTERFACE_AGE = 0
KMOS_LDFLAGS = -L$(top_srcdir)/kmos
KMOS_MAJOR_VERSION = 1
KMOS_MICRO_VERSION = 18
KMOS_MINOR_VERSION = 3
KMOS_VERSION = 1.3.18
LATEX = /usr/bin/latex
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBCEXT = -lcext
LIBCPLCORE = -lcplcore
LIBCPLDFS = -lcpldfs
LIBCPLDRS = -lcpldrs
LIBCPLUI = -lcplui
LIBIRPLIB = $(top_builddir)/irplib/libirplib.la
LIBKMCLIPMLIB = $(top_builddir)/kmclipm/libkmclipmlib.la
LIBKMOS = $(top_builddir)/kmos/libkmos.la
LIBOBJS = 
LIBS =  -lm -lnsl
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = admin/ltmain.sh
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 0
LT_CURRENT = 0
LT_REVISION = 0
MAINT = 
MAKEINFO = ${SHELL} /home/yjung/tmp/kmos-1_3_18/kmosp/admin/missing --run makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = kmos
PACKAGE_BUGREPORT = usd-help@eso.org
PACKAGE_NAME = KMOS Instrument Pipeline
PACKAGE_STRING = KMOS Instrument Pipeline 1.3.18
PACKAGE_TARNAME = kmos
PACKAGE_URL = 
PACKAGE_VERSION = 1.3.18
PATH_SEPARATOR = :
PURIFY_CMD = NONE
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 1.3.18
abs_builddir = /home/yjung/tmp/kmos-1_3_18/kmosp/tools
abs_srcdir = /home/yjung/tmp/kmos-1_3_18/kmosp/tools
abs_top_builddir = /home/yjung/tmp/kmos-1_3_18/kmosp
abs_top_srcdir = /home/yjung/tmp/kmos-1_3_18/kmosp
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
all_includes = $(KMOS_INCLUDES) $(CPL_INCLUDES) $(EXTRA_INCLUDES)
all_ldflags = $(KMOS_LDFLAGS) $(CPL_LDFLAGS) $(EXTRA_LDFLAGS)
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
apidocdir = ${datadir}/doc/esopipes/${PACKAGE}-${VERSION}/html
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
configdir = ${datadir}/${PACKAGE}/config
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = /usr/local
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/yjung/tmp/kmos-1_3_18/kmosp/admin/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pipedocsdir = ${datadir}/doc/esopipes/${PACKAGE}-${VERSION}/
plugindir = ${libdir}/esopipes-plugins/${PACKAGE}-${VERSION}
prefix = /usr/local
privatelibdir = ${libdir}/${PACKAGE}-${VERSION}
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = x86_64-unknown-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = unknown
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
wkfcopydir = ${datadir}/reflex/workflows/${PACKAGE}-${VERSION}
wkfextradir = ${datadir}/esopipes/${PACKAGE}-${VERSION}/reflex
AUTOMAKE_OPTIONS = 1.8 foreign
DISTCLEANFILES = *~
MAINTAINERCLEANFILES = Makefile.in
dist_bin_SCRIPTS = kmos_calib.py kmos_verify.py
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tools/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign tools/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-dist_binSCRIPTS: $(dist_bin_SCRIPTS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
	@list='$(dist_bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
	done | \
	sed -e 'p;s,.*/,,;n' \
	    -e 'h;s|.*|.|' \
	    -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
	    if ($$2 == $$4) { files[d] = files[d] " " $$1; \
	      if (++n[d] == $(am__install_max)) { \
		print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
	    else { print "f", d "/" $$4, $$1 } } \
	  END { for (d in files) print "f", d, files[d] }' | \
	while read type dir files; do \
	     if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
	     test -z "$$files" || { \
	       echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
	       $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
	     } \
	; done

uninstall-dist_binSCRIPTS:
	@$(NORMAL_UNINSTALL)
	@list='$(dist_bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
	files=`for p in $$list; do echo "$$p"; done | \
	       sed -e 's,.*/,,;$(transform)'`; \
	dir='$(DESTDIR)$(bindir)'; $(am__uninstall_files_from_dir)

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \

=== debian/changelog ===
cpl-plugin-kmos (1.3.18+dfsg-1) unstable; urgency=low

  * Bump Standards-Version to 3.9.8. Use https for VCS URLs
  * New upstream version

 -- Ole Streicher <olebole@debian.org>  Fri, 22 Apr 2016 09:24:53 +0200

=== debian/control ===
Source: cpl-plugin-kmos
Section: science
Priority: optional
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libcpl-dev (>= 6.3.1),
               python,
               python-astropy,
               python-cpl,
               python-sphinx
Standards-Version: 3.9.8
Homepage: http://www.eso.org/sci/software/pipelines/kmos
Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/cpl-plugin-kmos.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/cpl-plugin-kmos.git

Package: cpl-plugin-kmos
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: esorex|python-cpl
Suggests: cpl-plugin-kmos-calib, cpl-plugin-kmos-doc
Multi-Arch: same
Description: ESO data reduction pipeline for the KMOS instrument
 This is the data reduction pipeline for the KMOS instrument of the
 Very Large Telescope (VLT) from the European Southern Observatory (ESO).
 .
 The K-band Multi Object Spectrograph (KMOS) is a second-generation instrument
 designed for operation on the VLT. The key feature of KMOS is its ability to
 perform Integral Field Spectroscopy in the near-infrared bands for 24 targets
 simultaneously.

Package: cpl-plugin-kmos-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Section: doc
Description: ESO data reduction pipeline documentation for KMOS
 This package contains the HTML documentation and manpages for the data
 reduction pipeline for the KMOS instrument of the Very Large Telescope
 (VLT) from the European Southern Observatory (ESO).

Package: cpl-plugin-kmos-calib
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, cpl-plugin-kmos, wget
Section: contrib/science
Description: ESO data reduction pipeline calibration data downloader for KMOS
 This package downloads calibration and other static data of the 
 data reduction pipeline for the KMOS instrument of the
 Very Large Telescope (VLT) from the European Southern Observatory (ESO).
 .
 The K-band Multi Object Spectrograph (KMOS) is a second-generation instrument
 designed for operation on the VLT. The key feature of KMOS is its ability to
 perform Integral Field Spectroscopy in the near-infrared bands for 24 targets
 simultaneously.

## cpl-plugin-kmos 1.3.19+dfsg

=== tools/Makefile ===
--- 
+++ 
@@ -86,12 +86,12 @@
 SOURCES =
 DIST_SOURCES =
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/yjung/tmp/kmos-1_3_18/kmosp/admin/missing --run aclocal-1.11
+ACLOCAL = ${SHELL} /home/yjung/tmp/kmos-1_3_19/kmosp/admin/missing --run aclocal-1.11
 AMTAR = $${TAR-tar}
 AR = ar
-AUTOCONF = ${SHELL} /home/yjung/tmp/kmos-1_3_18/kmosp/admin/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/yjung/tmp/kmos-1_3_18/kmosp/admin/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/yjung/tmp/kmos-1_3_18/kmosp/admin/missing --run automake-1.11
+AUTOCONF = ${SHELL} /home/yjung/tmp/kmos-1_3_19/kmosp/admin/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/yjung/tmp/kmos-1_3_19/kmosp/admin/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/yjung/tmp/kmos-1_3_19/kmosp/admin/missing --run automake-1.11
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
@@ -122,15 +122,15 @@
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
-KMOS_BINARY_AGE = 318
-KMOS_BINARY_VERSION = 10318
+KMOS_BINARY_AGE = 319
+KMOS_BINARY_VERSION = 10319
 KMOS_INCLUDES = -I$(top_srcdir)/kmos -I$(top_srcdir)/irplib -I$(top_srcdir)/kmclipm/include
 KMOS_INTERFACE_AGE = 0
 KMOS_LDFLAGS = -L$(top_srcdir)/kmos
 KMOS_MAJOR_VERSION = 1
-KMOS_MICRO_VERSION = 18
+KMOS_MICRO_VERSION = 19
 KMOS_MINOR_VERSION = 3
-KMOS_VERSION = 1.3.18
+KMOS_VERSION = 1.3.19
 LATEX = /usr/bin/latex
 LD = /usr/bin/ld -m elf_x86_64
 LDFLAGS = 
@@ -153,7 +153,7 @@
 LT_CURRENT = 0
 LT_REVISION = 0
 MAINT = 
-MAKEINFO = ${SHELL} /home/yjung/tmp/kmos-1_3_18/kmosp/admin/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/yjung/tmp/kmos-1_3_19/kmosp/admin/missing --run makeinfo
 MANIFEST_TOOL = :
 MKDIR_P = /bin/mkdir -p
 NM = /usr/bin/nm -B
@@ -165,10 +165,10 @@
 PACKAGE = kmos
 PACKAGE_BUGREPORT = usd-help@eso.org
 PACKAGE_NAME = KMOS Instrument Pipeline
-PACKAGE_STRING = KMOS Instrument Pipeline 1.3.18
+PACKAGE_STRING = KMOS Instrument Pipeline 1.3.19
 PACKAGE_TARNAME = kmos
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.3.18
+PACKAGE_VERSION = 1.3.19
 PATH_SEPARATOR = :
 PURIFY_CMD = NONE
 RANLIB = ranlib
@@ -176,11 +176,11 @@
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = strip
-VERSION = 1.3.18
-abs_builddir = /home/yjung/tmp/kmos-1_3_18/kmosp/tools
-abs_srcdir = /home/yjung/tmp/kmos-1_3_18/kmosp/tools
-abs_top_builddir = /home/yjung/tmp/kmos-1_3_18/kmosp
-abs_top_srcdir = /home/yjung/tmp/kmos-1_3_18/kmosp
+VERSION = 1.3.19
+abs_builddir = /home/yjung/tmp/kmos-1_3_19/kmosp/tools
+abs_srcdir = /home/yjung/tmp/kmos-1_3_19/kmosp/tools
+abs_top_builddir = /home/yjung/tmp/kmos-1_3_19/kmosp
+abs_top_srcdir = /home/yjung/tmp/kmos-1_3_19/kmosp
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_DUMPBIN = 
@@ -213,7 +213,7 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /home/yjung/tmp/kmos-1_3_18/kmosp/admin/install-sh
+install_sh = ${SHELL} /home/yjung/tmp/kmos-1_3_19/kmosp/admin/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale

=== debian/changelog ===
cpl-plugin-kmos (1.3.19+dfsg-1) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <olebole@debian.org>  Wed, 11 May 2016 14:57:51 -0300

## cpl-plugin-kmos 1.4.0+dfsg

=== tools/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# tools/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/kmos
pkgincludedir = $(includedir)/kmos
pkglibdir = $(libdir)/kmos
pkglibexecdir = $(libexecdir)/kmos
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
target_triplet = x86_64-pc-linux-gnu
subdir = tools
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4macros/cpl.m4 \
	$(top_srcdir)/m4macros/eso.m4 \
	$(top_srcdir)/m4macros/libtool.m4 \
	$(top_srcdir)/m4macros/ltoptions.m4 \
	$(top_srcdir)/m4macros/ltsugar.m4 \
	$(top_srcdir)/m4macros/ltversion.m4 \
	$(top_srcdir)/m4macros/lt~obsolete.m4 \
	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(dist_bin_SCRIPTS) \
	$(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(bindir)"
SCRIPTS = $(dist_bin_SCRIPTS)
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/yjung/tmp/kmos-1_4_0/kmosp/admin/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} /home/yjung/tmp/kmos-1_4_0/kmosp/admin/missing autoconf
AUTOHEADER = ${SHELL} /home/yjung/tmp/kmos-1_4_0/kmosp/admin/missing autoheader
AUTOMAKE = ${SHELL} /home/yjung/tmp/kmos-1_4_0/kmosp/admin/missing automake-1.15
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -fno-builtin
CPL_INCLUDES = -I/home/yjung/install/cpl/include -I/home/yjung/install/cpl/include 
CPL_LDFLAGS = -L/home/yjung/install/cpl/lib -L/home/yjung/install/cpl/lib 
CPP = gcc -E
CPPFLAGS = 
CX_INCLUDES = -I/home/yjung/install/cpl/include
CX_LDFLAGS = -L/home/yjung/install/cpl/lib
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DOXYGEN = :
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
ESO_DEBUG_FLAGS = -DNDEBUG
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
KMOS_BINARY_AGE = 400
KMOS_BINARY_VERSION = 10400
KMOS_INCLUDES = -I$(top_srcdir)/kmos -I$(top_srcdir)/irplib -I$(top_srcdir)/kmclipm/include
KMOS_INTERFACE_AGE = 0
KMOS_LDFLAGS = -L$(top_srcdir)/kmos
KMOS_MAJOR_VERSION = 1
KMOS_MICRO_VERSION = 0
KMOS_MINOR_VERSION = 4
KMOS_VERSION = 1.4.0
LATEX = /usr/bin/latex
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBCEXT = -lcext
LIBCPLCORE = -lcplcore
LIBCPLDFS = -lcpldfs
LIBCPLDRS = -lcpldrs
LIBCPLUI = -lcplui
LIBIRPLIB = $(top_builddir)/irplib/libirplib.la
LIBKMCLIPMLIB = $(top_builddir)/kmclipm/libkmclipmlib.la
LIBKMOS = $(top_builddir)/kmos/libkmos.la
LIBOBJS = 
LIBS =  -lm -lnsl
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = admin/ltmain.sh
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 0
LT_CURRENT = 0
LT_REVISION = 0
LT_SYS_LIBRARY_PATH = 
MAINT = 
MAKEINFO = ${SHELL} /home/yjung/tmp/kmos-1_4_0/kmosp/admin/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = kmos
PACKAGE_BUGREPORT = usd-help@eso.org
PACKAGE_NAME = KMOS Instrument Pipeline
PACKAGE_STRING = KMOS Instrument Pipeline 1.4.0
PACKAGE_TARNAME = kmos
PACKAGE_URL = 
PACKAGE_VERSION = 1.4.0
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 1.4.0
abs_builddir = /home/yjung/tmp/kmos-1_4_0/kmosp/tools
abs_srcdir = /home/yjung/tmp/kmos-1_4_0/kmosp/tools
abs_top_builddir = /home/yjung/tmp/kmos-1_4_0/kmosp
abs_top_srcdir = /home/yjung/tmp/kmos-1_4_0/kmosp
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
all_includes = $(KMOS_INCLUDES) $(CPL_INCLUDES) $(EXTRA_INCLUDES)
all_ldflags = $(KMOS_LDFLAGS) $(CPL_LDFLAGS) $(EXTRA_LDFLAGS)
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
apidocdir = ${datadir}/doc/esopipes/${PACKAGE}-${VERSION}/html
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
configdir = ${datadir}/${PACKAGE}/config
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = /usr/local
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/yjung/tmp/kmos-1_4_0/kmosp/admin/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
pipedocsdir = ${datadir}/doc/esopipes/${PACKAGE}-${VERSION}/
plugindir = ${libdir}/esopipes-plugins/${PACKAGE}-${VERSION}
prefix = /usr/local
privatelibdir = ${libdir}/${PACKAGE}-${VERSION}
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = x86_64-pc-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = pc
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
wkfcopydir = ${datadir}/reflex/workflows/${PACKAGE}-${VERSION}
wkfextradir = ${datadir}/esopipes/${PACKAGE}-${VERSION}/reflex
AUTOMAKE_OPTIONS = 1.8 foreign
DISTCLEANFILES = *~
MAINTAINERCLEANFILES = Makefile.in
dist_bin_SCRIPTS = kmos_calib.py kmos_verify.py
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tools/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign tools/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-dist_binSCRIPTS: $(dist_bin_SCRIPTS)
	@$(NORMAL_INSTALL)
	@list='$(dist_bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
	done | \
	sed -e 'p;s,.*/,,;n' \
	    -e 'h;s|.*|.|' \
	    -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
	    if ($$2 == $$4) { files[d] = files[d] " " $$1; \

=== debian/changelog ===
cpl-plugin-kmos (1.4.0+dfsg-1) unstable; urgency=low

  * New upstream version 1.4.0+dfsg
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Wed, 12 Oct 2016 10:10:35 +0200

## cpl-plugin-kmos 1.4.3+dfsg

=== tools/Makefile ===
--- 
+++ 
@@ -86,9 +86,9 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = x86_64-pc-linux-gnu
-host_triplet = x86_64-pc-linux-gnu
-target_triplet = x86_64-pc-linux-gnu
+build_triplet = x86_64-unknown-linux-gnu
+host_triplet = x86_64-unknown-linux-gnu
+target_triplet = x86_64-unknown-linux-gnu
 subdir = tools
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4macros/cpl.m4 \
@@ -158,56 +158,54 @@
 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
 am__DIST_COMMON = $(srcdir)/Makefile.in
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/yjung/tmp/kmos-1_4_0/kmosp/admin/missing aclocal-1.15
+ACLOCAL = ${SHELL} /home/vagrant/kmos-1_4_3/kmosp/admin/missing aclocal-1.15
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 1
 AR = ar
-AUTOCONF = ${SHELL} /home/yjung/tmp/kmos-1_4_0/kmosp/admin/missing autoconf
-AUTOHEADER = ${SHELL} /home/yjung/tmp/kmos-1_4_0/kmosp/admin/missing autoheader
-AUTOMAKE = ${SHELL} /home/yjung/tmp/kmos-1_4_0/kmosp/admin/missing automake-1.15
-AWK = mawk
+AUTOCONF = ${SHELL} /home/vagrant/kmos-1_4_3/kmosp/admin/missing autoconf
+AUTOHEADER = ${SHELL} /home/vagrant/kmos-1_4_3/kmosp/admin/missing autoheader
+AUTOMAKE = ${SHELL} /home/vagrant/kmos-1_4_3/kmosp/admin/missing automake-1.15
+AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
 CFLAGS = -g -O2 -fno-builtin
-CPL_INCLUDES = -I/home/yjung/install/cpl/include -I/home/yjung/install/cpl/include 
-CPL_LDFLAGS = -L/home/yjung/install/cpl/lib -L/home/yjung/install/cpl/lib 
+CPL_CFLAGS = -I/usr/include/cpl -I/usr/include
+CPL_INCLUDES = -I/usr/include/cpl -I/usr/include
+CPL_LDFLAGS = -L/usr/lib64 -L/usr/lib
 CPP = gcc -E
 CPPFLAGS = 
-CX_INCLUDES = -I/home/yjung/install/cpl/include
-CX_LDFLAGS = -L/home/yjung/install/cpl/lib
 CYGPATH_W = echo
 DEFS = -DHAVE_CONFIG_H
 DEPDIR = .deps
 DLLTOOL = false
-DOXYGEN = :
+DOXYGEN = /usr/bin/doxygen
 DSYMUTIL = 
 DUMPBIN = 
 ECHO_C = 
 ECHO_N = -n
 ECHO_T = 
-EGREP = /bin/grep -E
+EGREP = /usr/bin/grep -E
 ESO_DEBUG_FLAGS = -DNDEBUG
 EXEEXT = 
-FGREP = /bin/grep -F
-GREP = /bin/grep
+FGREP = /usr/bin/grep -F
+GREP = /usr/bin/grep
 INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
-KMOS_BINARY_AGE = 400
-KMOS_BINARY_VERSION = 10400
+KMOS_BINARY_AGE = 403
+KMOS_BINARY_VERSION = 10403
 KMOS_INCLUDES = -I$(top_srcdir)/kmos -I$(top_srcdir)/irplib -I$(top_srcdir)/kmclipm/include
 KMOS_INTERFACE_AGE = 0
 KMOS_LDFLAGS = -L$(top_srcdir)/kmos
 KMOS_MAJOR_VERSION = 1
-KMOS_MICRO_VERSION = 0
+KMOS_MICRO_VERSION = 3
 KMOS_MINOR_VERSION = 4
-KMOS_VERSION = 1.4.0
+KMOS_VERSION = 1.4.3
 LATEX = /usr/bin/latex
 LD = /usr/bin/ld -m elf_x86_64
 LDFLAGS = 
-LIBCEXT = -lcext
 LIBCPLCORE = -lcplcore
 LIBCPLDFS = -lcpldfs
 LIBCPLDRS = -lcpldrs
@@ -227,9 +225,9 @@
 LT_REVISION = 0
 LT_SYS_LIBRARY_PATH = 
 MAINT = 
-MAKEINFO = ${SHELL} /home/yjung/tmp/kmos-1_4_0/kmosp/admin/missing makeinfo
+MAKEINFO = ${SHELL} /home/vagrant/kmos-1_4_3/kmosp/admin/missing makeinfo
 MANIFEST_TOOL = :
-MKDIR_P = /bin/mkdir -p
+MKDIR_P = /usr/bin/mkdir -p
 NM = /usr/bin/nm -B
 NMEDIT = 
 OBJDUMP = objdump
@@ -239,21 +237,21 @@
 PACKAGE = kmos
 PACKAGE_BUGREPORT = usd-help@eso.org
 PACKAGE_NAME = KMOS Instrument Pipeline
-PACKAGE_STRING = KMOS Instrument Pipeline 1.4.0
+PACKAGE_STRING = KMOS Instrument Pipeline 1.4.3
 PACKAGE_TARNAME = kmos
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.4.0
+PACKAGE_VERSION = 1.4.3
 PATH_SEPARATOR = :
 RANLIB = ranlib
-SED = /bin/sed
+SED = /usr/bin/sed
 SET_MAKE = 
-SHELL = /bin/bash
+SHELL = /bin/sh
 STRIP = strip
-VERSION = 1.4.0
-abs_builddir = /home/yjung/tmp/kmos-1_4_0/kmosp/tools
-abs_srcdir = /home/yjung/tmp/kmos-1_4_0/kmosp/tools
-abs_top_builddir = /home/yjung/tmp/kmos-1_4_0/kmosp
-abs_top_srcdir = /home/yjung/tmp/kmos-1_4_0/kmosp
+VERSION = 1.4.3
+abs_builddir = /home/vagrant/kmos-1_4_3/kmosp/tools
+abs_srcdir = /home/vagrant/kmos-1_4_3/kmosp/tools
+abs_top_builddir = /home/vagrant/kmos-1_4_3/kmosp
+abs_top_srcdir = /home/vagrant/kmos-1_4_3/kmosp
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_DUMPBIN = 
@@ -266,11 +264,11 @@
 am__untar = $${TAR-tar} xf -
 apidocdir = ${datadir}/doc/esopipes/${PACKAGE}-${VERSION}/html
 bindir = ${exec_prefix}/bin
-build = x86_64-pc-linux-gnu
+build = x86_64-unknown-linux-gnu
 build_alias = 
 build_cpu = x86_64
 build_os = linux-gnu
-build_vendor = pc
+build_vendor = unknown
 builddir = .
 configdir = ${datadir}/${PACKAGE}/config
 datadir = ${datarootdir}
@@ -278,15 +276,15 @@
 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
 dvidir = ${docdir}
 exec_prefix = /usr/local
-host = x86_64-pc-linux-gnu
+host = x86_64-unknown-linux-gnu
 host_alias = 
 host_cpu = x86_64
 host_os = linux-gnu
-host_vendor = pc
+host_vendor = unknown
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /home/yjung/tmp/kmos-1_4_0/kmosp/admin/install-sh
+install_sh = ${SHELL} /home/vagrant/kmos-1_4_3/kmosp/admin/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale
@@ -301,16 +299,15 @@
 privatelibdir = ${libdir}/${PACKAGE}-${VERSION}
 program_transform_name = s,x,x,
 psdir = ${docdir}
-runstatedir = ${localstatedir}/run
 sbindir = ${exec_prefix}/sbin
 sharedstatedir = ${prefix}/com
 srcdir = .
 sysconfdir = ${prefix}/etc
-target = x86_64-pc-linux-gnu
+target = x86_64-unknown-linux-gnu
 target_alias = 
 target_cpu = x86_64
 target_os = linux-gnu
-target_vendor = pc
+target_vendor = unknown
 top_build_prefix = ../
 top_builddir = ..
 top_srcdir = ..
@@ -369,3 +366,5 @@
 	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
 	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
 	    if ($$2 == $$4) { files[d] = files[d] " " $$1; \
+	      if (++n[d] == $(am__install_max)) { \
+		print "f", d, files[d]; n[d] = 0; files[d] = "" } } \

=== debian/changelog ===
cpl-plugin-kmos (1.4.3+dfsg-1) unstable; urgency=low

  * New upstream version 1.4.3+dfsg
  * Rediff patches
  * Push Standards-Version to 4.0.0. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Sat, 01 Jul 2017 11:43:12 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python-astropy,
                python-cpl,
                python-sphinx
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.eso.org/sci/software/pipelines/kmos
 Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/cpl-plugin-kmos.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/cpl-plugin-kmos.git

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://www.eso.org/sci/software/pipelines/ \
 .*/kmos-kit-([\d\.]+)(?:-.+)?\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)) \
 debian debian/repackage.sh
#opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
#ftp://ftp.eso.org/pub/dfs/pipelines/kmos/kmos-kit-([\d\.]+)(?:-.+)?\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)) \
# debian debian/repackage.sh

## cpl-plugin-kmos 2.0.2+dfsg

=== tools/Makefile ===
--- 
+++ 
@@ -98,7 +98,8 @@
 	$(top_srcdir)/m4macros/ltsugar.m4 \
 	$(top_srcdir)/m4macros/ltversion.m4 \
 	$(top_srcdir)/m4macros/lt~obsolete.m4 \
-	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4macros/molecfit.m4 $(top_srcdir)/acinclude.m4 \
+	$(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
 DIST_COMMON = $(srcdir)/Makefile.am $(dist_bin_SCRIPTS) \
@@ -158,17 +159,17 @@
 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
 am__DIST_COMMON = $(srcdir)/Makefile.in
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/vagrant/kmos-1_4_3/kmosp/admin/missing aclocal-1.15
+ACLOCAL = ${SHELL} /home/vagrant/kmos-2_0_2/kmosp/admin/missing aclocal-1.15
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 1
 AR = ar
-AUTOCONF = ${SHELL} /home/vagrant/kmos-1_4_3/kmosp/admin/missing autoconf
-AUTOHEADER = ${SHELL} /home/vagrant/kmos-1_4_3/kmosp/admin/missing autoheader
-AUTOMAKE = ${SHELL} /home/vagrant/kmos-1_4_3/kmosp/admin/missing automake-1.15
+AUTOCONF = ${SHELL} /home/vagrant/kmos-2_0_2/kmosp/admin/missing autoconf
+AUTOHEADER = ${SHELL} /home/vagrant/kmos-2_0_2/kmosp/admin/missing autoheader
+AUTOMAKE = ${SHELL} /home/vagrant/kmos-2_0_2/kmosp/admin/missing automake-1.15
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS = -g -O2 -fno-builtin
+CFLAGS = -g -O2 -std=c99
 CPL_CFLAGS = -I/usr/include/cpl -I/usr/include
 CPL_INCLUDES = -I/usr/include/cpl -I/usr/include
 CPL_LDFLAGS = -L/usr/lib64 -L/usr/lib
@@ -194,15 +195,15 @@
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
-KMOS_BINARY_AGE = 403
-KMOS_BINARY_VERSION = 10403
+KMOS_BINARY_AGE = 2
+KMOS_BINARY_VERSION = 20002
 KMOS_INCLUDES = -I$(top_srcdir)/kmos -I$(top_srcdir)/irplib -I$(top_srcdir)/kmclipm/include
 KMOS_INTERFACE_AGE = 0
 KMOS_LDFLAGS = -L$(top_srcdir)/kmos
-KMOS_MAJOR_VERSION = 1
-KMOS_MICRO_VERSION = 3
-KMOS_MINOR_VERSION = 4
-KMOS_VERSION = 1.4.3
+KMOS_MAJOR_VERSION = 2
+KMOS_MICRO_VERSION = 2
+KMOS_MINOR_VERSION = 0
+KMOS_VERSION = 2.0.2
 LATEX = /usr/bin/latex
 LD = /usr/bin/ld -m elf_x86_64
 LDFLAGS = 
@@ -213,6 +214,7 @@
 LIBIRPLIB = $(top_builddir)/irplib/libirplib.la
 LIBKMCLIPMLIB = $(top_builddir)/kmclipm/libkmclipmlib.la
 LIBKMOS = $(top_builddir)/kmos/libkmos.la
+LIBMOLECFIT = -lmolecfit
 LIBOBJS = 
 LIBS =  -lm -lnsl
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
@@ -225,9 +227,13 @@
 LT_REVISION = 0
 LT_SYS_LIBRARY_PATH = 
 MAINT = 
-MAKEINFO = ${SHELL} /home/vagrant/kmos-1_4_3/kmosp/admin/missing makeinfo
+MAKEINFO = ${SHELL} /home/vagrant/kmos-2_0_2/kmosp/admin/missing makeinfo
 MANIFEST_TOOL = :
 MKDIR_P = /usr/bin/mkdir -p
+MOLECFITDIR = 
+MOLECFIT_CFLAGS = -I/usr/include/molecfit -I/usr/include
+MOLECFIT_INCLUDES = -I/usr/include/molecfit -I/usr/include
+MOLECFIT_LDFLAGS = 
 NM = /usr/bin/nm -B
 NMEDIT = 
 OBJDUMP = objdump
@@ -237,21 +243,22 @@
 PACKAGE = kmos
 PACKAGE_BUGREPORT = usd-help@eso.org
 PACKAGE_NAME = KMOS Instrument Pipeline
-PACKAGE_STRING = KMOS Instrument Pipeline 1.4.3
+PACKAGE_STRING = KMOS Instrument Pipeline 2.0.2
 PACKAGE_TARNAME = kmos
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.4.3
+PACKAGE_VERSION = 2.0.2
 PATH_SEPARATOR = :
+PKGCONFIG = pkg-config
 RANLIB = ranlib
 SED = /usr/bin/sed
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = strip
-VERSION = 1.4.3
-abs_builddir = /home/vagrant/kmos-1_4_3/kmosp/tools
-abs_srcdir = /home/vagrant/kmos-1_4_3/kmosp/tools
-abs_top_builddir = /home/vagrant/kmos-1_4_3/kmosp
-abs_top_srcdir = /home/vagrant/kmos-1_4_3/kmosp
+VERSION = 2.0.2
+abs_builddir = /home/vagrant/kmos-2_0_2/kmosp/tools
+abs_srcdir = /home/vagrant/kmos-2_0_2/kmosp/tools
+abs_top_builddir = /home/vagrant/kmos-2_0_2/kmosp
+abs_top_srcdir = /home/vagrant/kmos-2_0_2/kmosp
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_DUMPBIN = 
@@ -270,7 +277,7 @@
 build_os = linux-gnu
 build_vendor = unknown
 builddir = .
-configdir = ${datadir}/${PACKAGE}/config
+configdir = ${datadir}/esopipes/${PACKAGE}-${VERSION}/config
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
@@ -284,7 +291,7 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /home/vagrant/kmos-1_4_3/kmosp/admin/install-sh
+install_sh = ${SHELL} /home/vagrant/kmos-2_0_2/kmosp/admin/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale
@@ -364,7 +371,3 @@
 	    -e 'h;s|.*|.|' \
 	    -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
 	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
-	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
-	    if ($$2 == $$4) { files[d] = files[d] " " $$1; \
-	      if (++n[d] == $(am__install_max)) { \
-		print "f", d, files[d]; n[d] = 0; files[d] = "" } } \

=== debian/changelog ===
cpl-plugin-kmos (2.0.2+dfsg-1) unstable; urgency=medium

  * Update VCS fields to use salsa.d.o
  * Use name-based sorting for the recipes to ensure reproducible build
  * New upstream version 2.0.2+dfsg. Rediff patches
  * Push Standards-Version to 4.1.4. Change remaining URLs to https
  * Push compat to 11
  * Switch to Python 3
  * Remove molecfit dependency

 -- Ole Streicher <olebole@debian.org>  Thu, 03 May 2018 15:20:32 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,16 @@
 Priority: optional
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11),
                libcpl-dev (>= 6.3.1),
-               python,
-               python-astropy,
-               python-cpl,
-               python-sphinx
-Standards-Version: 4.0.0
-Homepage: http://www.eso.org/sci/software/pipelines/kmos
-Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/cpl-plugin-kmos.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/cpl-plugin-kmos.git
+               python3,
+               python3-astropy,
+               python3-cpl,
+               python3-sphinx
+Standards-Version: 4.1.4
+Homepage: https://www.eso.org/sci/software/pipelines/kmos
+Vcs-Git: https://salsa.debian.org/debian-astro-team/cpl-plugin-kmos.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/cpl-plugin-kmos
 
 Package: cpl-plugin-kmos
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

include  /usr/share/dpkg/pkg-info.mk

VERSION ?= $(shell echo '$(DEB_VERSION)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/+.*//')
PIPELINE ?= $(shell echo '$(DEB_SOURCE)' | sed -e 's/cpl-plugin-//')

get-orig-source:
	sh ./debian/repackage.sh

%:
	dh  $@ --with sphinxdoc

debian_files:
	if [ -d calib/cal ] ; then \
	    dfiles=".install -doc.manpages -doc.docs -doc.doc-base -calib.install" ; \
	else \
	    dfiles=".install -doc.manpages -doc.docs -doc.doc-base -calib.postinst -calib.prerm -calib.lintian-overrides" ; \
	fi ; \
	for f in $$dfiles ; do \
	    sed "s/__VERSION__/$(VERSION)/g;s/__PIPELINE__/${PIPELINE}/g" \
	        < debian/cpl-plugin$$f.in \
                > debian/${DEB_SOURCE}$$f ; \
	done

override_dh_install: debian_files
	dh_install

override_dh_installman-indep:
	mkdir -p man
	python3 debian/create_manpage.py ${PIPELINE}
	dh_installman

override_dh_installdocs-indep:
	mkdir -p sphinx
	python3 debian/create_sphinx.py ${PIPELINE}
	sphinx-build sphinx sphinx/html
	dh_installdocs

override_dh_sphinxdoc:
	if [ -d sphinx ] ; then \
		dh_sphinxdoc ; \
	fi

override_dh_clean:
	dh_clean
	rm -rf debian/${DEB_SOURCE}.install \
               debian/${DEB_SOURCE}-doc.manpages \
               debian/${DEB_SOURCE}-doc.docs \
               debian/${DEB_SOURCE}-doc.doc-base \
	       debian/${DEB_SOURCE}-calib.lintian-overrides \
	       debian/${DEB_SOURCE}-calib.install \
	       debian/${DEB_SOURCE}-calib.postinst \
               debian/${DEB_SOURCE}-calib.prerm \
	       man sphinx

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr/

override_dh_makeshlibs:
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`

override_dh_installchangelogs:
	if [ -s ChangeLog ] ; then \
	  dh_installchangelogs ChangeLog ; \
	else \
	  dh_installchangelogs ; \
	fi

override_dh_gencontrol-indep:
	dh_gencontrol
	if [ ! -d calib/cal ] ; then \
	  sed "s/Installed-Size:.*/Installed-Size: $(shell cat calib/cal_size)/" -i debian/${DEB_SOURCE}-calib/DEBIAN/control ; \
	fi

override_dh_auto_test:
	VERBOSE=1 dh_auto_test

## cpl-plugin-kmos 2.1.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-astropy,
                python3-cpl,
                python3-sphinx
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://www.eso.org/sci/software/pipelines/kmos
 Vcs-Git: https://salsa.debian.org/debian-astro-team/cpl-plugin-kmos.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/cpl-plugin-kmos
@@ -17,7 +17,7 @@
 Package: cpl-plugin-kmos
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: esorex|python-cpl
+Recommends: esorex|python3-cpl
 Suggests: cpl-plugin-kmos-calib, cpl-plugin-kmos-doc
 Multi-Arch: same
 Description: ESO data reduction pipeline for the KMOS instrument
@@ -45,7 +45,7 @@
 Depends: ${misc:Depends}, cpl-plugin-kmos, wget
 Section: contrib/science
 Description: ESO data reduction pipeline calibration data downloader for KMOS
- This package downloads calibration and other static data of the 
+ This package downloads calibration and other static data of the
  data reduction pipeline for the KMOS instrument of the
  Very Large Telescope (VLT) from the European Southern Observatory (ESO).
  .

=== debian/tests/control ===
Tests: test-recipe.py
Depends: cpl-plugin-kmos, python3-cpl, python3-astropy
